// pages/home/index.ts
const app = getApp<IAppOption>();
import { compareVersion } from "../../utils/util";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    pageBGIMG: "",
    btnBGIMG: "",
  },

  lvru() {
    wx.navigateTo({
      url: "/pages/home/index"
    })
  },

  inited(res: any) {
    const { BGIMG, btnBGIMG } = res?.spreadPage;
    this.setData({
      pageBGIMG: BGIMG + "?" + Date.now(),
      btnBGIMG: btnBGIMG + "?" + Date.now()
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    app.getPageInfo({
      success: (res: any) => {
        const configPage = res || {};
        this.inited(configPage);
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() { },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() { },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() { },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() { },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() { },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() { },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() { }
})

export { }
