/// <reference path="./types/index.d.ts" />

interface IAppOption {
  globalData: {
    getUserLoad: boolean;
    SystemInfo?: WechatMiniprogram.SystemInfo,
    token?: string,
    setting?: WechatMiniprogram.AuthSetting,
    FileSystemManager?: WechatMiniprogram.FileSystemManager,
    phone?: string | undefined,
    configPage?: any;
    messageID?: any[];
  }
  userInfoReadyCallback?: WechatMiniprogram.GetUserInfoSuccessCallback,
  [params:string]: any
}
